package com.om.service;

import com.om.entity.dto.AppBaseDTO;
import com.om.entity.dto.BrandDTO;
import com.om.entity.dto.BrandQueryPageDTO;
import com.om.entity.po.Brand;
import com.baomidou.mybatisplus.extension.service.IService;
import com.om.entity.vo.APPBrandVO;
import com.om.entity.vo.BrandQueryPageVO;
import com.om.entity.vo.BrandVO;
import com.om.utils.Result;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author bmmx
 * @since 2024-02-07
 */
public interface IBrandService extends IService<Brand> {

    Result createBrand(BrandDTO dto);

    Result deleteBrand(Integer id);

    Result<BrandVO> queryById(Integer id);

    Result updateBrand(BrandDTO dto);

    Result<List<BrandVO>> queryList();

    Result<BrandQueryPageVO> queryPageList(BrandQueryPageDTO dto);

    Result<List<APPBrandVO>> getAPPList(AppBaseDTO dto);

}
